# Interface FileVisitor

All Known Subinterfaces:
  `ReproducibleFileVisitor`

All Known Implementing Classes:
  `EmptyFileVisitor`

public interface FileVisitor

A `FileVisitor` is used to visit each of the files in a `FileTree`.

## Method Summary

Modifier and Type
Method
Description
`void`
`visitDir(FileVisitDetails dirDetails)`
Visits a directory.
`void`
`visitFile(FileVisitDetails fileDetails)`
Visits a file.

## Method Details

### visitDir

void visitDir(FileVisitDetails dirDetails)
Visits a directory.

Parameters:
  `dirDetails` - Meta-info about the directory.

### visitFile

void visitFile(FileVisitDetails fileDetails)
Visits a file.

Parameters:
  `fileDetails` - Meta-info about the file.